petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexGetCellFields

Retrieve the field values values for a chunk of cells

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexGetCellFields(DM dm, PetscInt cStart, PetscInt cEnd, Vec locX, Vec locX_t, Vec locA, PetscScalar **u, PetscScalar **u_t, PetscScalar **a)

### Input Parameters

| dm | - The DM
| cStart | - The first cell to include
| cEnd | - The first cell to exclude
| locX | - A local vector with the solution fields
| locX_t | - A local vector with solution field time derivatives, or NULL
| locA | - A local vector with auxiliary fields, or NULL

### Output Parameters

| u | - The field coefficients
| u_t | - The fields derivative coefficients
| a | - The auxiliary field coefficients

### See Also

DMPlexGetFaceFields()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages